petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmAddNPoints

Add space for a number of new points in the DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmAddNPoints(DM dm,PetscInt npoints)

Not collective

### Input parameters

| dm | - a DMSwarm
| npoints | - the number of new points to add

### Notes

The new point will have all fields initialized to zero.

### See Also

DMSwarmAddPoint()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages